Bug 79249

Summary: With tiled drawing enabled, pressing Down arrow after scrolling via mouse gesture causes page to jump back up to top
Product: WebKit Reporter: Adam Roben (:aroben) <aroben>
Component: Layout and RenderingAssignee: Anders Carlsson <andersca>
Status: RESOLVED FIXED    
Severity: Normal CC: adamk, andersca, webkit-bug-importer
Priority: P2 Keywords: InRadar, PlatformOnly
Version: 528+ (Nightly build)   
Hardware: Mac (Intel)   
OS: OS X 10.7   
Attachments:
Description Flags
Patch sam: review+

Description Adam Roben (:aroben) 2012-02-22 09:19:38 PST
To reproduce:

0. Enable tiled drawing
1. Go to http://www.webkit.org/blog/
2. Scroll down a bit using a 1-finger swipe on a Magic Mouse (I haven't tested other mice)
3. Press the Down arrow

The page jumps back up to the top, then scrolls down one "arrow's worth". It's as if there are two different scroll offsets being tracked: one for gesture scrolls, and one for keyboard scrolls.
Comment 1 Radar WebKit Bug Importer 2012-02-22 09:19:56 PST
<rdar://problem/10910908>
Comment 2 Adam Roben (:aroben) 2012-02-22 10:25:31 PST
<rdar://problem/10866273>
Comment 3 Anders Carlsson 2012-02-28 18:29:09 PST
Created attachment 129371 [details]
Patch
Comment 4 Sam Weinig 2012-02-28 18:34:02 PST
Comment on attachment 129371 [details]
Patch

I think the ScrollableArea should be the one with a concept of the scroll position and the animator simply queries it.  That can be a clean up though.
Comment 5 Anders Carlsson 2012-02-28 18:36:20 PST
Committed r109183: <http://trac.webkit.org/changeset/109183>
Comment 6 Adam Klein 2012-02-29 10:49:24 PST
This seems to have broken a bunch of Chromium scrolling tests: https://bugs.webkit.org/show_bug.cgi?id=79878. There are links to the failures from there, but the short story is that the Chromium tests aren't seeing any rubberbanding. Does it seem reasonable that this change would cause such regressions?
Comment 7 Anders Carlsson 2012-02-29 11:21:56 PST
(In reply to comment #6)
> This seems to have broken a bunch of Chromium scrolling tests: https://bugs.webkit.org/show_bug.cgi?id=79878. There are links to the failures from there, but the short story is that the Chromium tests aren't seeing any rubberbanding. Does it seem reasonable that this change would cause such regressions?

Weird - I'll take a look right away.